Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 662480 - net-misc/qtm-1.3.18-r1 : /.../AccountsDialog.cc:94:65: error: invalid use of incomplete type class QAction
Summary: net-misc/qtm-1.3.18-r1 : /.../AccountsDialog.cc:94:65: error: invalid use of ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on: 664554
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-07-30 16:22 UTC by Toralf Förster
Modified: 2018-08-25 11:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.31 KB, text/plain)
2018-07-30 16:22 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,105.05 KB, text/plain)
2018-07-30 16:22 UTC, Toralf Förster
Details
environment (environment,119.65 KB, text/plain)
2018-07-30 16:22 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.04 KB, application/x-bzip)
2018-07-30 16:22 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.48 KB, application/x-bzip)
2018-07-30 16:22 UTC, Toralf Förster
Details
net-misc:qtm-1.3.18-r1:20180730-143822.log (net-misc:qtm-1.3.18-r1:20180730-143822.log,31.25 KB, text/plain)
2018-07-30 16:22 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.33 KB, application/x-bzip)
2018-07-30 16:22 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-07-30 16:22:19 UTC
/var/tmp/portage/net-misc/qtm-1.3.18-r1/work/qtm-1.3.18/AccountsDialog.cc: In constructor ‘AccountsDialog::AccountsDialog(QList<AccountsDialog::_acct>&, int, QWidget*)’:
/var/tmp/portage/net-misc/qtm-1.3.18-r1/work/qtm-1.3.18/AccountsDialog.cc:94:65: error: invalid use of incomplete type ‘class QAction’
   addAccount = new QAction( tr( "&Add account" ), lwAccountList );
                                                                 ^
In file included from /usr/include/qt5/QtWidgets/QWidget:1:0,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma-systemd_20180727-195151

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv net-misc/qtm
[ebuild  N    ] net-misc/qtm-1.3.18-r1  USE="dbus -debug"
Comment 1 Toralf Förster gentoo-dev 2018-07-30 16:22:22 UTC
Created attachment 541780 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-07-30 16:22:25 UTC
Created attachment 541782 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-07-30 16:22:28 UTC
Created attachment 541784 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-07-30 16:22:31 UTC
Created attachment 541786 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-07-30 16:22:34 UTC
Created attachment 541788 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-07-30 16:22:37 UTC
Created attachment 541790 [details]
net-misc:qtm-1.3.18-r1:20180730-143822.log
Comment 7 Toralf Förster gentoo-dev 2018-07-30 16:22:40 UTC
Created attachment 541792 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2018-08-17 22:04:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a8d25cbc5a23802d7b21e8d8409e9ad4d018598

commit 0a8d25cbc5a23802d7b21e8d8409e9ad4d018598
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-08-17 22:00:44 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-17 22:02:03 +0000

    net-misc/qtm: 1.3.19 version bump, fix build with Qt 5.11
    
    Closes: https://bugs.gentoo.org/662480
    Package-Manager: Portage-2.3.46, Repoman-2.3.10

 net-misc/qtm/Manifest                       |  1 +
 net-misc/qtm/files/qtm-1.3.19-qt-5.11.patch | 23 ++++++++++++
 net-misc/qtm/qtm-1.3.19.ebuild              | 54 +++++++++++++++++++++++++++++
 3 files changed, 78 insertions(+)